package com.dev.swms.server.service.base;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.energy.server.service.BaseManager;
import com.dev.swms.server.model.base.ItemAndMachItem;
@Transactional(readOnly = true)
public interface ItemAndMachItemManager extends BaseManager{
	
	@Transactional
	void saveMachinScale(Long itemId,Long machItemId,double machQuantity,String description);
	
	@Transactional
	void deleteAll(List<Long> ids);
	@Transactional
	void deleteAllModelChage(List<Long> ids);
}
